Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Garcon testproject
JavaScript
branch: master

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
frameworks
getting-started @ 2d892f8
showcase @ 55ebf8b
.gitmodules
README
gettingstarted.js
package.json

README

GARCON testproject

The garcon build tools now include binary dependencies, so no compilation is necessary.

To install the test project:

git clone git://github.com/mauritslamers/garcon-testproject
git submodule update --init
npm install

To run:

node gettingstarted.js

Then in your browser:

http://localhost:8000/todos_one
http://localhost:8000/todos_two
http://localhost:8000/todos_three
http://localhost:8000/showcase (see instructions below)

And of course: try out your projects and please let me know if anything is running different than expected.
It would be great if you can provide a pull request, but feel free to also post issues at

http://github.com/sproutcore/build-tools


== Instructions for the showcase app ==

Because of the more strict way the nodejs buildtools deal with sc_requires, the showcase app needs extra sc_requires
in resources/views_page.js. 

Before trying the showcase app, please copy the following list and paste it above the view code in 
showcase/resources/views_page.js

sc_require('views/button_views');
sc_require('views/checkbox_views');
sc_require('views/container_views');
sc_require('views/date_field_views');
sc_require('views/disclosure_views');
sc_require('views/grid_views');
sc_require('views/image_button_views');
sc_require('views/image_views');
sc_require('views/label_views');
sc_require('views/list_views');
sc_require('views/popup_button_views');
sc_require('views/progress_views');
sc_require('views/radio_views');
sc_require('views/scroll_views');
sc_require('views/segmented_views');
sc_require('views/select_views');
sc_require('views/slider_views');
sc_require('views/source_list_views');
sc_require('views/split_views');
sc_require('views/stacked_views');
sc_require('views/static_content_views');
sc_require('views/tab_views');
sc_require('views/text_field_views');
sc_require('views/toolbar_views');
sc_require('views/views_item_view');
sc_require('views/views_list_view');
sc_require('views/web_views');
sc_require('views/well_views');
sc_require('views/workspace_views');
Something went wrong with that request. Please try again.